Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
76.0.0.0
Broadcast address
79.255.255.255
First usable
76.0.0.1
Last usable
79.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C000000 · Integer 1275068416 to 1342177279
Reverse DNS zones
76.in-addr.arpa
77.in-addr.arpa
78.in-addr.arpa
79.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.00000000.00000000.0000000076.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01001100.00000000.00000000.0000000076.0.0.0
Broadcast01001111.11111111.11111111.1111111179.255.255.255
Split into smaller subnets/17

76.0.0.0/6 makes 2,048 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.0.0.0/1776.0.0.1 to 76.0.127.25476.0.127.25532,766
276.0.128.0/1776.0.128.1 to 76.0.255.25476.0.255.25532,766
376.1.0.0/1776.1.0.1 to 76.1.127.25476.1.127.25532,766
476.1.128.0/1776.1.128.1 to 76.1.255.25476.1.255.25532,766
576.2.0.0/1776.2.0.1 to 76.2.127.25476.2.127.25532,766
676.2.128.0/1776.2.128.1 to 76.2.255.25476.2.255.25532,766
776.3.0.0/1776.3.0.1 to 76.3.127.25476.3.127.25532,766
876.3.128.0/1776.3.128.1 to 76.3.255.25476.3.255.25532,766
976.4.0.0/1776.4.0.1 to 76.4.127.25476.4.127.25532,766
1076.4.128.0/1776.4.128.1 to 76.4.255.25476.4.255.25532,766
1176.5.0.0/1776.5.0.1 to 76.5.127.25476.5.127.25532,766
1276.5.128.0/1776.5.128.1 to 76.5.255.25476.5.255.25532,766
1376.6.0.0/1776.6.0.1 to 76.6.127.25476.6.127.25532,766
1476.6.128.0/1776.6.128.1 to 76.6.255.25476.6.255.25532,766
1576.7.0.0/1776.7.0.1 to 76.7.127.25476.7.127.25532,766
1676.7.128.0/1776.7.128.1 to 76.7.255.25476.7.255.25532,766
1776.8.0.0/1776.8.0.1 to 76.8.127.25476.8.127.25532,766
1876.8.128.0/1776.8.128.1 to 76.8.255.25476.8.255.25532,766
1976.9.0.0/1776.9.0.1 to 76.9.127.25476.9.127.25532,766
2076.9.128.0/1776.9.128.1 to 76.9.255.25476.9.255.25532,766
2176.10.0.0/1776.10.0.1 to 76.10.127.25476.10.127.25532,766
2276.10.128.0/1776.10.128.1 to 76.10.255.25476.10.255.25532,766
2376.11.0.0/1776.11.0.1 to 76.11.127.25476.11.127.25532,766
2476.11.128.0/1776.11.128.1 to 76.11.255.25476.11.255.25532,766
2576.12.0.0/1776.12.0.1 to 76.12.127.25476.12.127.25532,766
2676.12.128.0/1776.12.128.1 to 76.12.255.25476.12.255.25532,766
2776.13.0.0/1776.13.0.1 to 76.13.127.25476.13.127.25532,766
2876.13.128.0/1776.13.128.1 to 76.13.255.25476.13.255.25532,766
2976.14.0.0/1776.14.0.1 to 76.14.127.25476.14.127.25532,766
3076.14.128.0/1776.14.128.1 to 76.14.255.25476.14.255.25532,766
3176.15.0.0/1776.15.0.1 to 76.15.127.25476.15.127.25532,766
3276.15.128.0/1776.15.128.1 to 76.15.255.25476.15.255.25532,766
3376.16.0.0/1776.16.0.1 to 76.16.127.25476.16.127.25532,766
3476.16.128.0/1776.16.128.1 to 76.16.255.25476.16.255.25532,766
3576.17.0.0/1776.17.0.1 to 76.17.127.25476.17.127.25532,766
3676.17.128.0/1776.17.128.1 to 76.17.255.25476.17.255.25532,766
3776.18.0.0/1776.18.0.1 to 76.18.127.25476.18.127.25532,766
3876.18.128.0/1776.18.128.1 to 76.18.255.25476.18.255.25532,766
3976.19.0.0/1776.19.0.1 to 76.19.127.25476.19.127.25532,766
4076.19.128.0/1776.19.128.1 to 76.19.255.25476.19.255.25532,766
4176.20.0.0/1776.20.0.1 to 76.20.127.25476.20.127.25532,766
4276.20.128.0/1776.20.128.1 to 76.20.255.25476.20.255.25532,766
4376.21.0.0/1776.21.0.1 to 76.21.127.25476.21.127.25532,766
4476.21.128.0/1776.21.128.1 to 76.21.255.25476.21.255.25532,766
4576.22.0.0/1776.22.0.1 to 76.22.127.25476.22.127.25532,766
4676.22.128.0/1776.22.128.1 to 76.22.255.25476.22.255.25532,766
4776.23.0.0/1776.23.0.1 to 76.23.127.25476.23.127.25532,766
4876.23.128.0/1776.23.128.1 to 76.23.255.25476.23.255.25532,766
4976.24.0.0/1776.24.0.1 to 76.24.127.25476.24.127.25532,766
5076.24.128.0/1776.24.128.1 to 76.24.255.25476.24.255.25532,766
5176.25.0.0/1776.25.0.1 to 76.25.127.25476.25.127.25532,766
5276.25.128.0/1776.25.128.1 to 76.25.255.25476.25.255.25532,766
5376.26.0.0/1776.26.0.1 to 76.26.127.25476.26.127.25532,766
5476.26.128.0/1776.26.128.1 to 76.26.255.25476.26.255.25532,766
5576.27.0.0/1776.27.0.1 to 76.27.127.25476.27.127.25532,766
5676.27.128.0/1776.27.128.1 to 76.27.255.25476.27.255.25532,766
5776.28.0.0/1776.28.0.1 to 76.28.127.25476.28.127.25532,766
5876.28.128.0/1776.28.128.1 to 76.28.255.25476.28.255.25532,766
5976.29.0.0/1776.29.0.1 to 76.29.127.25476.29.127.25532,766
6076.29.128.0/1776.29.128.1 to 76.29.255.25476.29.255.25532,766
6176.30.0.0/1776.30.0.1 to 76.30.127.25476.30.127.25532,766
6276.30.128.0/1776.30.128.1 to 76.30.255.25476.30.255.25532,766
6376.31.0.0/1776.31.0.1 to 76.31.127.25476.31.127.25532,766
6476.31.128.0/1776.31.128.1 to 76.31.255.25476.31.255.25532,766
6576.32.0.0/1776.32.0.1 to 76.32.127.25476.32.127.25532,766
6676.32.128.0/1776.32.128.1 to 76.32.255.25476.32.255.25532,766
6776.33.0.0/1776.33.0.1 to 76.33.127.25476.33.127.25532,766
6876.33.128.0/1776.33.128.1 to 76.33.255.25476.33.255.25532,766
6976.34.0.0/1776.34.0.1 to 76.34.127.25476.34.127.25532,766
7076.34.128.0/1776.34.128.1 to 76.34.255.25476.34.255.25532,766
7176.35.0.0/1776.35.0.1 to 76.35.127.25476.35.127.25532,766
7276.35.128.0/1776.35.128.1 to 76.35.255.25476.35.255.25532,766
7376.36.0.0/1776.36.0.1 to 76.36.127.25476.36.127.25532,766
7476.36.128.0/1776.36.128.1 to 76.36.255.25476.36.255.25532,766
7576.37.0.0/1776.37.0.1 to 76.37.127.25476.37.127.25532,766
7676.37.128.0/1776.37.128.1 to 76.37.255.25476.37.255.25532,766
7776.38.0.0/1776.38.0.1 to 76.38.127.25476.38.127.25532,766
7876.38.128.0/1776.38.128.1 to 76.38.255.25476.38.255.25532,766
7976.39.0.0/1776.39.0.1 to 76.39.127.25476.39.127.25532,766
8076.39.128.0/1776.39.128.1 to 76.39.255.25476.39.255.25532,766
8176.40.0.0/1776.40.0.1 to 76.40.127.25476.40.127.25532,766
8276.40.128.0/1776.40.128.1 to 76.40.255.25476.40.255.25532,766
8376.41.0.0/1776.41.0.1 to 76.41.127.25476.41.127.25532,766
8476.41.128.0/1776.41.128.1 to 76.41.255.25476.41.255.25532,766
8576.42.0.0/1776.42.0.1 to 76.42.127.25476.42.127.25532,766
8676.42.128.0/1776.42.128.1 to 76.42.255.25476.42.255.25532,766
8776.43.0.0/1776.43.0.1 to 76.43.127.25476.43.127.25532,766
8876.43.128.0/1776.43.128.1 to 76.43.255.25476.43.255.25532,766
8976.44.0.0/1776.44.0.1 to 76.44.127.25476.44.127.25532,766
9076.44.128.0/1776.44.128.1 to 76.44.255.25476.44.255.25532,766
9176.45.0.0/1776.45.0.1 to 76.45.127.25476.45.127.25532,766
9276.45.128.0/1776.45.128.1 to 76.45.255.25476.45.255.25532,766
9376.46.0.0/1776.46.0.1 to 76.46.127.25476.46.127.25532,766
9476.46.128.0/1776.46.128.1 to 76.46.255.25476.46.255.25532,766
9576.47.0.0/1776.47.0.1 to 76.47.127.25476.47.127.25532,766
9676.47.128.0/1776.47.128.1 to 76.47.255.25476.47.255.25532,766
9776.48.0.0/1776.48.0.1 to 76.48.127.25476.48.127.25532,766
9876.48.128.0/1776.48.128.1 to 76.48.255.25476.48.255.25532,766
9976.49.0.0/1776.49.0.1 to 76.49.127.25476.49.127.25532,766
10076.49.128.0/1776.49.128.1 to 76.49.255.25476.49.255.25532,766
10176.50.0.0/1776.50.0.1 to 76.50.127.25476.50.127.25532,766
10276.50.128.0/1776.50.128.1 to 76.50.255.25476.50.255.25532,766
10376.51.0.0/1776.51.0.1 to 76.51.127.25476.51.127.25532,766
10476.51.128.0/1776.51.128.1 to 76.51.255.25476.51.255.25532,766
10576.52.0.0/1776.52.0.1 to 76.52.127.25476.52.127.25532,766
10676.52.128.0/1776.52.128.1 to 76.52.255.25476.52.255.25532,766
10776.53.0.0/1776.53.0.1 to 76.53.127.25476.53.127.25532,766
10876.53.128.0/1776.53.128.1 to 76.53.255.25476.53.255.25532,766
10976.54.0.0/1776.54.0.1 to 76.54.127.25476.54.127.25532,766
11076.54.128.0/1776.54.128.1 to 76.54.255.25476.54.255.25532,766
11176.55.0.0/1776.55.0.1 to 76.55.127.25476.55.127.25532,766
11276.55.128.0/1776.55.128.1 to 76.55.255.25476.55.255.25532,766
11376.56.0.0/1776.56.0.1 to 76.56.127.25476.56.127.25532,766
11476.56.128.0/1776.56.128.1 to 76.56.255.25476.56.255.25532,766
11576.57.0.0/1776.57.0.1 to 76.57.127.25476.57.127.25532,766
11676.57.128.0/1776.57.128.1 to 76.57.255.25476.57.255.25532,766
11776.58.0.0/1776.58.0.1 to 76.58.127.25476.58.127.25532,766
11876.58.128.0/1776.58.128.1 to 76.58.255.25476.58.255.25532,766
11976.59.0.0/1776.59.0.1 to 76.59.127.25476.59.127.25532,766
12076.59.128.0/1776.59.128.1 to 76.59.255.25476.59.255.25532,766
12176.60.0.0/1776.60.0.1 to 76.60.127.25476.60.127.25532,766
12276.60.128.0/1776.60.128.1 to 76.60.255.25476.60.255.25532,766
12376.61.0.0/1776.61.0.1 to 76.61.127.25476.61.127.25532,766
12476.61.128.0/1776.61.128.1 to 76.61.255.25476.61.255.25532,766
12576.62.0.0/1776.62.0.1 to 76.62.127.25476.62.127.25532,766
12676.62.128.0/1776.62.128.1 to 76.62.255.25476.62.255.25532,766
12776.63.0.0/1776.63.0.1 to 76.63.127.25476.63.127.25532,766
12876.63.128.0/1776.63.128.1 to 76.63.255.25476.63.255.25532,766
12976.64.0.0/1776.64.0.1 to 76.64.127.25476.64.127.25532,766
13076.64.128.0/1776.64.128.1 to 76.64.255.25476.64.255.25532,766
13176.65.0.0/1776.65.0.1 to 76.65.127.25476.65.127.25532,766
13276.65.128.0/1776.65.128.1 to 76.65.255.25476.65.255.25532,766
13376.66.0.0/1776.66.0.1 to 76.66.127.25476.66.127.25532,766
13476.66.128.0/1776.66.128.1 to 76.66.255.25476.66.255.25532,766
13576.67.0.0/1776.67.0.1 to 76.67.127.25476.67.127.25532,766
13676.67.128.0/1776.67.128.1 to 76.67.255.25476.67.255.25532,766
13776.68.0.0/1776.68.0.1 to 76.68.127.25476.68.127.25532,766
13876.68.128.0/1776.68.128.1 to 76.68.255.25476.68.255.25532,766
13976.69.0.0/1776.69.0.1 to 76.69.127.25476.69.127.25532,766
14076.69.128.0/1776.69.128.1 to 76.69.255.25476.69.255.25532,766
14176.70.0.0/1776.70.0.1 to 76.70.127.25476.70.127.25532,766
14276.70.128.0/1776.70.128.1 to 76.70.255.25476.70.255.25532,766
14376.71.0.0/1776.71.0.1 to 76.71.127.25476.71.127.25532,766
14476.71.128.0/1776.71.128.1 to 76.71.255.25476.71.255.25532,766
14576.72.0.0/1776.72.0.1 to 76.72.127.25476.72.127.25532,766
14676.72.128.0/1776.72.128.1 to 76.72.255.25476.72.255.25532,766
14776.73.0.0/1776.73.0.1 to 76.73.127.25476.73.127.25532,766
14876.73.128.0/1776.73.128.1 to 76.73.255.25476.73.255.25532,766
14976.74.0.0/1776.74.0.1 to 76.74.127.25476.74.127.25532,766
15076.74.128.0/1776.74.128.1 to 76.74.255.25476.74.255.25532,766
15176.75.0.0/1776.75.0.1 to 76.75.127.25476.75.127.25532,766
15276.75.128.0/1776.75.128.1 to 76.75.255.25476.75.255.25532,766
15376.76.0.0/1776.76.0.1 to 76.76.127.25476.76.127.25532,766
15476.76.128.0/1776.76.128.1 to 76.76.255.25476.76.255.25532,766
15576.77.0.0/1776.77.0.1 to 76.77.127.25476.77.127.25532,766
15676.77.128.0/1776.77.128.1 to 76.77.255.25476.77.255.25532,766
15776.78.0.0/1776.78.0.1 to 76.78.127.25476.78.127.25532,766
15876.78.128.0/1776.78.128.1 to 76.78.255.25476.78.255.25532,766
15976.79.0.0/1776.79.0.1 to 76.79.127.25476.79.127.25532,766
16076.79.128.0/1776.79.128.1 to 76.79.255.25476.79.255.25532,766
16176.80.0.0/1776.80.0.1 to 76.80.127.25476.80.127.25532,766
16276.80.128.0/1776.80.128.1 to 76.80.255.25476.80.255.25532,766
16376.81.0.0/1776.81.0.1 to 76.81.127.25476.81.127.25532,766
16476.81.128.0/1776.81.128.1 to 76.81.255.25476.81.255.25532,766
16576.82.0.0/1776.82.0.1 to 76.82.127.25476.82.127.25532,766
16676.82.128.0/1776.82.128.1 to 76.82.255.25476.82.255.25532,766
16776.83.0.0/1776.83.0.1 to 76.83.127.25476.83.127.25532,766
16876.83.128.0/1776.83.128.1 to 76.83.255.25476.83.255.25532,766
16976.84.0.0/1776.84.0.1 to 76.84.127.25476.84.127.25532,766
17076.84.128.0/1776.84.128.1 to 76.84.255.25476.84.255.25532,766
17176.85.0.0/1776.85.0.1 to 76.85.127.25476.85.127.25532,766
17276.85.128.0/1776.85.128.1 to 76.85.255.25476.85.255.25532,766
17376.86.0.0/1776.86.0.1 to 76.86.127.25476.86.127.25532,766
17476.86.128.0/1776.86.128.1 to 76.86.255.25476.86.255.25532,766
17576.87.0.0/1776.87.0.1 to 76.87.127.25476.87.127.25532,766
17676.87.128.0/1776.87.128.1 to 76.87.255.25476.87.255.25532,766
17776.88.0.0/1776.88.0.1 to 76.88.127.25476.88.127.25532,766
17876.88.128.0/1776.88.128.1 to 76.88.255.25476.88.255.25532,766
17976.89.0.0/1776.89.0.1 to 76.89.127.25476.89.127.25532,766
18076.89.128.0/1776.89.128.1 to 76.89.255.25476.89.255.25532,766
18176.90.0.0/1776.90.0.1 to 76.90.127.25476.90.127.25532,766
18276.90.128.0/1776.90.128.1 to 76.90.255.25476.90.255.25532,766
18376.91.0.0/1776.91.0.1 to 76.91.127.25476.91.127.25532,766
18476.91.128.0/1776.91.128.1 to 76.91.255.25476.91.255.25532,766
18576.92.0.0/1776.92.0.1 to 76.92.127.25476.92.127.25532,766
18676.92.128.0/1776.92.128.1 to 76.92.255.25476.92.255.25532,766
18776.93.0.0/1776.93.0.1 to 76.93.127.25476.93.127.25532,766
18876.93.128.0/1776.93.128.1 to 76.93.255.25476.93.255.25532,766
18976.94.0.0/1776.94.0.1 to 76.94.127.25476.94.127.25532,766
19076.94.128.0/1776.94.128.1 to 76.94.255.25476.94.255.25532,766
19176.95.0.0/1776.95.0.1 to 76.95.127.25476.95.127.25532,766
19276.95.128.0/1776.95.128.1 to 76.95.255.25476.95.255.25532,766
19376.96.0.0/1776.96.0.1 to 76.96.127.25476.96.127.25532,766
19476.96.128.0/1776.96.128.1 to 76.96.255.25476.96.255.25532,766
19576.97.0.0/1776.97.0.1 to 76.97.127.25476.97.127.25532,766
19676.97.128.0/1776.97.128.1 to 76.97.255.25476.97.255.25532,766
19776.98.0.0/1776.98.0.1 to 76.98.127.25476.98.127.25532,766
19876.98.128.0/1776.98.128.1 to 76.98.255.25476.98.255.25532,766
19976.99.0.0/1776.99.0.1 to 76.99.127.25476.99.127.25532,766
20076.99.128.0/1776.99.128.1 to 76.99.255.25476.99.255.25532,766
20176.100.0.0/1776.100.0.1 to 76.100.127.25476.100.127.25532,766
20276.100.128.0/1776.100.128.1 to 76.100.255.25476.100.255.25532,766
20376.101.0.0/1776.101.0.1 to 76.101.127.25476.101.127.25532,766
20476.101.128.0/1776.101.128.1 to 76.101.255.25476.101.255.25532,766
20576.102.0.0/1776.102.0.1 to 76.102.127.25476.102.127.25532,766
20676.102.128.0/1776.102.128.1 to 76.102.255.25476.102.255.25532,766
20776.103.0.0/1776.103.0.1 to 76.103.127.25476.103.127.25532,766
20876.103.128.0/1776.103.128.1 to 76.103.255.25476.103.255.25532,766
20976.104.0.0/1776.104.0.1 to 76.104.127.25476.104.127.25532,766
21076.104.128.0/1776.104.128.1 to 76.104.255.25476.104.255.25532,766
21176.105.0.0/1776.105.0.1 to 76.105.127.25476.105.127.25532,766
21276.105.128.0/1776.105.128.1 to 76.105.255.25476.105.255.25532,766
21376.106.0.0/1776.106.0.1 to 76.106.127.25476.106.127.25532,766
21476.106.128.0/1776.106.128.1 to 76.106.255.25476.106.255.25532,766
21576.107.0.0/1776.107.0.1 to 76.107.127.25476.107.127.25532,766
21676.107.128.0/1776.107.128.1 to 76.107.255.25476.107.255.25532,766
21776.108.0.0/1776.108.0.1 to 76.108.127.25476.108.127.25532,766
21876.108.128.0/1776.108.128.1 to 76.108.255.25476.108.255.25532,766
21976.109.0.0/1776.109.0.1 to 76.109.127.25476.109.127.25532,766
22076.109.128.0/1776.109.128.1 to 76.109.255.25476.109.255.25532,766
22176.110.0.0/1776.110.0.1 to 76.110.127.25476.110.127.25532,766
22276.110.128.0/1776.110.128.1 to 76.110.255.25476.110.255.25532,766
22376.111.0.0/1776.111.0.1 to 76.111.127.25476.111.127.25532,766
22476.111.128.0/1776.111.128.1 to 76.111.255.25476.111.255.25532,766
22576.112.0.0/1776.112.0.1 to 76.112.127.25476.112.127.25532,766
22676.112.128.0/1776.112.128.1 to 76.112.255.25476.112.255.25532,766
22776.113.0.0/1776.113.0.1 to 76.113.127.25476.113.127.25532,766
22876.113.128.0/1776.113.128.1 to 76.113.255.25476.113.255.25532,766
22976.114.0.0/1776.114.0.1 to 76.114.127.25476.114.127.25532,766
23076.114.128.0/1776.114.128.1 to 76.114.255.25476.114.255.25532,766
23176.115.0.0/1776.115.0.1 to 76.115.127.25476.115.127.25532,766
23276.115.128.0/1776.115.128.1 to 76.115.255.25476.115.255.25532,766
23376.116.0.0/1776.116.0.1 to 76.116.127.25476.116.127.25532,766
23476.116.128.0/1776.116.128.1 to 76.116.255.25476.116.255.25532,766
23576.117.0.0/1776.117.0.1 to 76.117.127.25476.117.127.25532,766
23676.117.128.0/1776.117.128.1 to 76.117.255.25476.117.255.25532,766
23776.118.0.0/1776.118.0.1 to 76.118.127.25476.118.127.25532,766
23876.118.128.0/1776.118.128.1 to 76.118.255.25476.118.255.25532,766
23976.119.0.0/1776.119.0.1 to 76.119.127.25476.119.127.25532,766
24076.119.128.0/1776.119.128.1 to 76.119.255.25476.119.255.25532,766
24176.120.0.0/1776.120.0.1 to 76.120.127.25476.120.127.25532,766
24276.120.128.0/1776.120.128.1 to 76.120.255.25476.120.255.25532,766
24376.121.0.0/1776.121.0.1 to 76.121.127.25476.121.127.25532,766
24476.121.128.0/1776.121.128.1 to 76.121.255.25476.121.255.25532,766
24576.122.0.0/1776.122.0.1 to 76.122.127.25476.122.127.25532,766
24676.122.128.0/1776.122.128.1 to 76.122.255.25476.122.255.25532,766
24776.123.0.0/1776.123.0.1 to 76.123.127.25476.123.127.25532,766
24876.123.128.0/1776.123.128.1 to 76.123.255.25476.123.255.25532,766
24976.124.0.0/1776.124.0.1 to 76.124.127.25476.124.127.25532,766
25076.124.128.0/1776.124.128.1 to 76.124.255.25476.124.255.25532,766
25176.125.0.0/1776.125.0.1 to 76.125.127.25476.125.127.25532,766
25276.125.128.0/1776.125.128.1 to 76.125.255.25476.125.255.25532,766
25376.126.0.0/1776.126.0.1 to 76.126.127.25476.126.127.25532,766
25476.126.128.0/1776.126.128.1 to 76.126.255.25476.126.255.25532,766
25576.127.0.0/1776.127.0.1 to 76.127.127.25476.127.127.25532,766
25676.127.128.0/1776.127.128.1 to 76.127.255.25476.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses